import { ChangeDetectorRef } from "@angular/core";
import { NuiActiveDialog } from "./dialog-ref";
import { ConfirmationDialogButtons, SeverityLevels } from "./public-api";
/**
 * @ignore
 */
export declare class ConfirmationDialogComponent {
    private activeDialog;
    private changeDetector;
    title: string;
    message: string;
    confirmText: string;
    dismissText: string;
    setFocus: ConfirmationDialogButtons;
    severity: SeverityLevels;
    ariaLabel: string;
    constructor(activeDialog: NuiActiveDialog, changeDetector: ChangeDetectorRef);
    updateInputs(): void;
    close(result: boolean): void;
    dismiss(): void;
    focusButton(buttonType: ConfirmationDialogButtons): boolean;
    getAriaLabel(): string;
}
